package label_tagging

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_tagging"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_tagging/delete label_tagging DeleteLabelTagging
//
// Delete label tagging information | 删除LabelTagging信息
//
// Delete label tagging information | 删除LabelTagging信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: BaseMsgResp

func DeleteLabelTaggingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_tagging.NewDeleteLabelTaggingLogic(r.Context(), svcCtx)
		resp, err := l.DeleteLabelTagging(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
